#
# spec file for package soundconverter
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global __requires_exclude typelib\\(Unity\\)

%define _rev    b101a833fbc55ec43811691338e1e67789d23b98
Name:           soundconverter
Version:        2.9.0~beta2
Release:        lp150.1.6
Summary:        Sound Converter Application for the GNOME Desktop
License:        GPL-3.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://soundconverter.org/
Source:         https://github.com/kassoulet/soundconverter/archive/%{_rev}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gobject-introspection-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  python3
BuildRequires:  python3-gobject
BuildRequires:  update-desktop-files
BuildRequires:  typelib(Gst) = 1.0
BuildRequires:  typelib(Gtk) = 3.0
Requires:       gstreamer
Requires:       python3-gobject
Recommends:     %{name}-lang
Recommends:     gstreamer-plugins-bad
Recommends:     gstreamer-plugins-base
Recommends:     gstreamer-plugins-good
Recommends:     gstreamer-plugins-ugly
Suggests:       gstreamer-plugins-ugly-orig-addon
%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
BuildRequires:  python3-gobject-Gdk
Requires:       python3-gobject-Gdk
%endif

%description
A sound converter application for the GNOME environment.

It reads anything the GStreamer library can read, and offers writing
to WAV, FLAC, MP3, AAC, and Ogg Vorbis, also with the help of
GStreamer.

%lang_package

%prep
%setup -q -n %{name}-%{_rev}

%build
NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
%make_install
chmod a+x %{buildroot}%{_libdir}/%{name}/python/%{name}/*py

%find_lang %{name}
%suse_update_desktop_file -r %{name} AudioVideo AudioVideoEditing
%fdupes %{buildroot}%{_prefix}/

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1%{?ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun Feb 26 2017 zaitor@opensuse.org
- Add global __requires_exclude typelib\\(Unity\\), make app
  installable.
* Wed Feb  8 2017 jengelh@inai.de
- Description update
* Thu Jan 19 2017 sor.alexei@meowr.ru
- Update to version 2.9.0~beta2:
  * No changelog available.
- Separate locales to soundconverter-lang.
- Own /usr/share/appdata/ unconditionally.
* Mon Mar 28 2016 mailaender@opensuse.org
- Update to version 2.1.6:
  + Fix: name 'vfs_exists' is not defined.
    (Closes pr:10, thanks Michael)
  + Fix problem when dropping files.
    (Closes lp:1432399, thanks Thibaut & Rüdiger)
* Sat Mar  7 2015 zaitor@opensuse.org
- Update to version 2.1.5:
  + Don't write xing header if target MP3 is in CBR mode
    (lp#1399276).
  + Fix problem when dropping files with special chars.
  + Updated translations.
- Changes from version 1.5.5 to current, please see upstream web.
- Update url and source to new home, and update licencetag to new
  standard.
- Stop building as noarch package, it is not anymore.
* Fri Jul 15 2011 fisiu@opensuse.org
- upstream update to 1.5.4
* Sun Jun 20 2010 vishwin80@googlemail.com
- update to 1.5.3
* Wed Mar 31 2010 vishwin80@googlemail.com
- 1.5.0 alpha1
